; Solution File for LabC.asm

          .def     start

data      .usect   "vars",4
result    .usect   "vars",1


          .sect    "const"
table     .int     1,2,3,4
coeffs    .int     8,6,4,2
          .int     0

          .sect    "code"
start:
;**** CPU Initialization - C28x mode **************************************
          C28OBJ       ;C28x obj mode
          C28ADDR      ;C28x addressing mode
          .c28_amode   ;assembler directive to interpret code as C28x code
          C28MAP       ;C28x unified memory map for M0 & M1
;**************************************************************************

;     copy the table

         MOVL   XAR1, #table     ;AR1 is the source pointer
         MOVL   XAR2, #data      ;AR2 is the destination pointer
         MOV     AR0, #3         ;initialize loop counter to copy 1st 4 values

copy:    MOV    AL, *XAR1++      ;copy value to accumulator
         MOV    *XAR2++, AL      ;copy accumulator to memory location
         BANZ   copy, AR0--      ;loop conditionally

;     get ready to perform the MAC

         MOVL    XAR2,#data      ;reset pointer to first data element
         MOVL    XAR7,#coeffs    ;point to first coeff value
         SPM     0               ;set product shift mode 0
         ZAPA                    ;zero Acc, P, OVC

         RPT  #3                 ;perform MAC 4 times
       ||MAC  P,*XAR2++,*XAR7++

         ADDL   ACC, P << PM     ;add final product
         MOVW   DP, #result      ;need to set DP!
         MOV    @result, AL

end:     NOP
         B      end, UNC
