; Solution File for LabC_optional.asm

          .def     start

data      .usect   "vars",4
result    .usect   "vars",1


          .sect    "const"
table     .int     1,2,3,4
coeffs    .int     8,6,4,2
          .int     0

          .sect    "code"
start:
;**** CPU Initialization - C28x mode **************************************
          C28OBJ       ;C28x obj mode
          C28ADDR      ;C28x addressing mode
          .c28_amode   ;assembler directive to interpret code as C28x code
          C28MAP       ;C28x unified memory map for M0 & M1
;**************************************************************************

;     copy the table

         MOVL    XAR7, #table    ;AR7 is the source pointer in program memory
         MOVL    XAR2, #data     ;AR2 is the destination pointer

         RPT     #3              ;copy only first 4 values to data memory
       ||PREAD   *XAR2++,*XAR7   ;coeffs stay in program memory

;     get ready to perform the MAC

         MOVL    XAR2,#data      ;reset pointer to first data element
         MOVL    XAR7,#coeffs    ;point to first coeff value
         SPM     0               ;set product shift mode 0
         ZAPA                    ;zero Acc, P, OVC

         RPT  #3                 ;perform MAC 4 times
       ||MAC  P,*XAR2++,*XAR7++

         ADDL   ACC, P << PM     ;add final product
         MOVW   DP, #result      ;need to set DP!
         MOV    @result, AL

end:     NOP
         B      end, UNC
